<?
//запуск раз в сутки
DEFINE("ROOT_DIR", realpath(dirname(__FILE__).'/../') );
require(ROOT_DIR."/config.php");

//Удаление конкурсов для рефералов если его не оплатили до его старта
mysql_query("DELETE FROM `b_ref_comp` WHERE `status`='0' AND `start_comp`<='".(time()+5*60)."'") or die(mysql_error());
# выплата победителям конкурса
$sql = mysql_query("SELECT * FROM `b_ref_comp` WHERE `status`='1' AND `end_comp`<='".(time()+5*60)."'") or die(mysql_error());
if(mysql_num_rows($sql) > 0){
while($row = mysql_fetch_assoc($sql)){
$limit = $row["count_us"];
$min_count = $row["min_count"];
for($i=1;$i<=$limit;$i++){
$priz[$i] = $row["priz".$i];
}
switch($row["type"]){
case 1: $type_comp = "Конкурс кликов";break;
case 2: $type_comp = "Конкурс рефералов";break;
case 3: $type_comp = "Конкурс заданий";break;
case 4: $type_comp = "Общий конкурс";break;
}
$sql_d = mysql_query("SELECT `id_user`, COUNT(count) AS `cnt` FROM `b_ref_comp_data` WHERE `id_comp`='".$row["id"]."' AND `id_user`<>'".$row["id_user"]."' GROUP BY `id_user` HAVING COUNT(count) > $min_count ORDER BY COUNT(count) DESC, `id` ASC LIMIT $limit") or die(mysql_error());
if(mysql_num_rows($sql_d) > 0){
$cnt = 0;
while($row_d = mysql_fetch_assoc($sql_d)){
$cnt++;
$username = mysql_result(mysql_query("SELECT `username` FROM `b_users` WHERE `id`='".$row_d["id_user"]."' LIMIT 1"),0);
mysql_query("UPDATE `b_users` SET `money`=`money`+'".$priz[$cnt]."' WHERE `id`='".$row_d["id_user"]."'") or die(mysql_error());

mysql_query("INSERT INTO `b_mails` (`text`,`fromid`,`fromus`,`toid`,`tous`,`timemessage`,`read`) VALUES ('Конкурс от реферера ID: ".$row["id_user"]."','2','Sustem','".$row_d["id_user"]."','$username','".time()."','5')") or die(mysql_error());
$ident = mysql_result(mysql_query("SELECT `id` FROM `b_mails` ORDER BY `id` DESC LIMIT 1"),0);
mysql_query("INSERT INTO `b_mails` (`text`,`fromid`,`fromus`,`toid`,`tous`,`timemessage`,`ident`) VALUES ('Поздравляем! Вы заняли $cnt-е место в конкурсе $type_comp от реферера и получили приз ".$priz[$cnt]." ".$sitevalname."','2','Sustem','".$row_d["id_user"]."','$username','".time()."','$ident')") or die(mysql_error());

mysql_query("INSERT INTO `tb_allhistory` (`idus`,`data`,`doing`,`title`) VALUES ('".$row_d["id_user"]."','".time()."','7','Приз за $cnt-е место в конкурсе $type_comp от реферера')"); 
}
# добаляем рейтинг создателю конкурса если есть учасники
$reyt_for_r = round(floatval(($row["all_priz"]*5)/100),1);
mysql_query("UPDATE `b_users` SET `reyting`=`reyting`+'$reyt_for_r' WHERE `id`='".$row["id_user"]."'") or die(mysql_error());
mysql_query("INSERT INTO `tb_allhistory` (`idus`,`data`,`doing`,`title`) VALUES ('".$row["id_user"]."','".time()."','7','$reyt_for_r рейтинга за $type_comp для рефералов')"); 
}
}
}
unset($sql,$row);
# удаление завершеных конкурсов
mysql_query("DELETE FROM `b_ref_comp` WHERE `status`='1' AND `end_comp`<='".(time()+5*60)."'") or die(mysql_error());
# удаление исполнений конкурсов
mysql_query("DELETE FROM `b_ref_comp_data` WHERE `id_comp` NOT IN (SELECT `id` FROM `b_ref_comp`)") or die(mysql_error());
?>